Subject: AbstractFormFieldViewHelper always converts entities to identities
Description

AbstractFormFieldViewHelper::getValue() currently always tries to convert objects by calling
PersistenceManager::getIdentifierByObject(). This makes it impossible for custom ViewHelpers to access the unmodified value.

Associated revisions
Revision 02f8a923 - 2012-02-01 10:36 - Bastian Waidelich

[BUGFIX] AbstractFormFieldViewHelper always converts entities

AbstractFormFieldViewHelper::getValue() currently always tries
to convert objects to identities by calling
PersistenceManager::getIdentifierByObject().
This makes it impossible for custom ViewHelpers to access the
unmodified value that was previously submitted (or bound to the
form field view helper).

This change introduces an argument $convertObjects that allows
experienced developers to disable this behavior in custom
view helpers.

Change-Id: I5326c9424cfecf7a78d9a0ea3c8044150f35bfe4
Fixes: #33569
Releases: 1.1

History
#1 - 2012-01-31 21:22 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8783

#2 - 2012-02-01 10:36 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8783

#3 - 2012-02-01 14:52 - Bastian Waidelich
http://review.typo3.org/8783


- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:02f8a9235927c13f1aa80746312415cb315358ed.
